Ruby: pm_for_node Struct Reference

Ruby 3.3.5p100 (2024-09-03 revision ef084cc8f4958c1b6e4ead99136631bef6d8ddba)

Data Fields
pm_for_node Struct Reference

ForNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_node * | index
| ForNode#index.
struct pm_node * | collection
| ForNode#collection.
struct pm_statements_node * | statements
| ForNode#statements.
pm_location_t | for_keyword_loc
| ForNode#for_keyword_loc.
pm_location_t | in_keyword_loc
| ForNode#in_keyword_loc.
pm_location_t | do_keyword_loc
| ForNode#do_keyword_loc.
pm_location_t | end_keyword_loc
| ForNode#end_keyword_loc.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

ForNode.

Type: PM_FOR_NODE

Definition at line 2365 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_for_node::base

The embedded base node.

Definition at line 2367 of file ast.h.

## ◆ collection

struct pm_node* pm_for_node::collection

ForNode#collection.

Definition at line 2373 of file ast.h.

Referenced by pm_node_destroy().

## ◆ do_keyword_loc

pm_location_t pm_for_node::do_keyword_loc

ForNode#do_keyword_loc.

Definition at line 2385 of file ast.h.

## ◆ end_keyword_loc

pm_location_t pm_for_node::end_keyword_loc

ForNode#end_keyword_loc.

Definition at line 2388 of file ast.h.

## ◆ for_keyword_loc

pm_location_t pm_for_node::for_keyword_loc

ForNode#for_keyword_loc.

Definition at line 2379 of file ast.h.

## ◆ in_keyword_loc

pm_location_t pm_for_node::in_keyword_loc

ForNode#in_keyword_loc.

Definition at line 2382 of file ast.h.

## ◆ index

struct pm_node* pm_for_node::index

ForNode#index.

Definition at line 2370 of file ast.h.

Referenced by pm_node_destroy().

## ◆ statements

struct pm_statements_node* pm_for_node::statements

ForNode#statements.

Definition at line 2376 of file ast.h.

Referenced by pm_node_destroy().

The documentation for this struct was generated from the following file:

- prism/ast.h